ServerEvents.recipes(event => {

  event.shaped(
    Item.of('aquaculture:tin_can'),
    [
      'A A',
      'A A',
      'AAA'
    ],
    {
      A: 'minecraft:iron_nugget'
    }
  ),
//M1914 Stick Grenade
  event.shaped(
    Item.of('pointblank:m1914stickgrenade'),
    [
      ' C ',
      ' B ',
      ' AD'
    ],
    {
      A: 'minecraft:iron_ingot',
      B: 'aquaculture:tin_can',
      C: 'crusty_chunks:large_volatile_pile',
      D: 'minecraft:lever'
    }
  ),
//Diskus Hand Grenade
  event.shaped(
    Item.of('pointblank:diskushandgranate'),
    [
      ' AC',
      ' B ',
      ' A '
    ],
    {
      A: 'crusty_chunks:steelplate',
      B: 'crusty_chunks:volatile_dust',
      C: 'crusty_chunks:firing_pin'
    }
  ),
//Type 10 Grenade
  event.shaped(
    Item.of('pointblank:type10grenade'),
    [
      ' AB',
      ' C ',
      ' D '
    ],
    {
      A: 'crusty_chunks:steelplate',
      B: 'crusty_chunks:firing_pin',
      C: 'crusty_chunks:volatile_dust',
      D: 'crusty_chunks:steel_tube'
    }
  ),
//Kugel Hand Grenade
  event.shaped(
    Item.of('pointblank:kugelhandgranate'),
    [
      ' AB',
      'ACA',
      ' A '
    ],
    {
      A: 'crusty_chunks:steelplate',
      B: 'crusty_chunks:firing_pin',
      C: 'crusty_chunks:volatile_dust'
    }
  ),
  
    event.shaped(
    Item.of('kubejs:empty_dynamite_stick', 2),
    [
      '   ',
      'ACA',
      'ABA'
    ],
    {
      A: 'minecraft:paper',
      B: 'design_decor:cardboard_sheet',
      C: '#forge:dyes/red'
    }
  ),

  event.shapeless(
    Item.of('kubejs:empty_dynamite_bundle'),
    [
      '4x kubejs:empty_dynamite_stick'
    ]
  ),

//Dynamite

//Dynamite Sticks
  event.shaped(
    Item.of('kubejs:empty_dynamite_stick', 2),
    [
      '   ',
      'ACA',
      'ABA'
    ],
    {
      A: 'minecraft:paper',
      B: 'design_decor:cardboard_sheet',
      C: '#forge:dyes/red'
    }
  ),
//Dynamite Bundle
  event.shapeless(
    Item.of('kubejs:empty_dynamite_bundle'),
    [
      '4x kubejs:empty_dynamite_stick'
    ]
  ),
//Assembly of Dynamite
  event.recipes.create.sequenced_assembly([
    Item.of('pointblank:dynamite')
  ], 'kubejs:empty_dynamite_bundle', [
    event.recipes.createDeploying('kubejs:incomplete_dynamite', ['kubejs:empty_dynamite_bundle', 'kubejs:empty_dynamite_bundle']),
    event.recipes.createDeploying('kubejs:incomplete_dynamite', ['kubejs:incomplete_dynamite', 'crusty_chunks:large_volatile_pile']),
    event.recipes.createDeploying('kubejs:incomplete_dynamite', ['kubejs:incomplete_dynamite', 'crusty_chunks:large_volatile_pile']),
    event.recipes.createDeploying('kubejs:incomplete_dynamite', ['kubejs:incomplete_dynamite', 'design_decor:cardboard_sheet']),
    event.recipes.createDeploying('kubejs:incomplete_dynamite', ['kubejs:incomplete_dynamite', 'crusty_chunks:steel_wire']),
    event.recipes.createDeploying('kubejs:incomplete_dynamite', ['kubejs:incomplete_dynamite', '#forge:ingots/steel']),
    event.recipes.createDeploying('pointblank:dynamite', ['kubejs:incomplete_dynamite', 'minecraft:clock'])
  ]).transitionalItem('kubejs:incomplete_dynamite').loops(1)
})
